in scala.dbc.syntax
object DataTypeUtil

`object` DataTypeUtil
  `extends` java.lang.Object
  `with` scala.ScalaObject

Constructor Summary
| `def` this

Val Summary
`final` | `val` java_lang_Integer_SIZE : scala.Int(32)
`final` | `val` java_lang_Long_SIZE : scala.Int(64)

Def Summary
| `def` bigint : scala.dbc.datatype.ExactNumeric[scala.Long]
| `def` boolean : scala.dbc.datatype.Boolean
| `def` character (_length: scala.Int) : scala.dbc.datatype.Character
| `def` characterLargeObject : scala.dbc.datatype.CharacterLargeObject
| `def` characterVarying (_length: scala.Int) : scala.dbc.datatype.CharacterVarying
| `def` doublePrecision : scala.dbc.datatype.ApproximateNumeric[scala.Double]
| `def` integer : scala.dbc.datatype.ExactNumeric[scala.Int]
| `def` numeric (_precision: scala.Int) : scala.dbc.DataType
| `def` numeric (_precision: scala.Int, _scale: scala.Int) : scala.dbc.DataType
| `def` real : scala.dbc.datatype.ApproximateNumeric[scala.Float]
| `def` smallint : scala.dbc.datatype.ExactNumeric[scala.Short]
| `def` tinyint : scala.dbc.datatype.ExactNumeric[scala.Byte]

Constructor Detail

`def` this

Val Detail

`final val` java_lang_Integer_SIZE : scala.Int(32)

`final val` java_lang_Long_SIZE : scala.Int(64)

Def Detail

`def` bigint : scala.dbc.datatype.ExactNumeric[scala.Long]

`def` boolean : scala.dbc.datatype.Boolean

`def` character (_length: scala.Int): scala.dbc.datatype.Character

`def` characterLargeObject : scala.dbc.datatype.CharacterLargeObject

`def` characterVarying (_length: scala.Int): scala.dbc.datatype.CharacterVarying

`def` doublePrecision : scala.dbc.datatype.ApproximateNumeric[scala.Double]

`def` integer : scala.dbc.datatype.ExactNumeric[scala.Int]

`def` numeric (_precision: scala.Int): scala.dbc.DataType

`def` numeric (_precision: scala.Int, _scale: scala.Int): scala.dbc.DataType

`def` real : scala.dbc.datatype.ApproximateNumeric[scala.Float]

`def` smallint : scala.dbc.datatype.ExactNumeric[scala.Short]

`def` tinyint : scala.dbc.datatype.ExactNumeric[scala.Byte]